Support Support Downloads Knowledge Base Juniper Support Portal Community

Knowledge Base

Search our Knowledge Base sites to find answers to your questions.

Ask All Knowledge Base Sites All Knowledge Base Sites JunosE Defect (KA)Knowledge BaseSecurity AdvisoriesTechnical BulletinsTechnotes Sign in to display secure content and recently viewed articles

2017-10 Security Bulletin: Contrail: hard coded credentials (CVE-2017-10616) and XML External Entity (XXE) vulnerability (CVE-2017-10617)

0

0

Article ID: JSA10819 SECURITY_ADVISORIES Last Updated: 11 Oct 2017Version: 1.0
Product Affected:
This issue affects Contrail 2.2, 3.0, 3.1, 3.2.
Problem:
The ifmap service that comes bundled with Contrail releases prior to version 4.0 uses hard coded credentials.
Additionally the ifmap service has an XML External Entity (XXE) vulnerability that may allow an attacker to retrieve sensitive system files.

No other Juniper Networks products or platforms are affected by this issue.

The hard coded credential vulnerability has been assigned CVE-2017-10616.
The XML External Entity (XXE) vulnerability has been assigned CVE-2017-10617.

CVE-2017-10616 has a CVSSv3 score of 5.3 (AV:N/AC:L/PR:N/UI:N/S:U/C:L/I:N/A:N)
CVE-2017-10617 has a CVSSv3 score of 5.0 (AV:N/AC:L/PR:L/UI:N/S:C/C:L/I:N/A:N)
These two vulnerabilities can be chained together and have a combined CVSSv3 score of 5.8 (AV:N/AC:L/PR:N/UI:N/S:C/C:L/I:N/A:N)

Juniper SIRT is not aware of any malicious exploitation of this vulnerability.
 

Solution:
The following software releases have been updated to resolve these specific issues: Contrail 2.21.4, 3.0.3.4, 3.1.4.0, 3.2.5.0 and all subsequent releases.
 
Workaround:
The hard coded credentials can be modified manually, however, there are no viable workarounds for the XXE vulnerability.

It is good security practice to limit the exploitable attack surface of critical infrastructure networking equipment. Use access lists or firewall filters to limit access only from trusted, administrative networks or hosts.
 
Modification History:
2017-10-11: Initial Publication.

CVSS Score:
5.8 (AV:N/AC:L/PR:N/UI:N/S:C/C:L/I:N/A:N)
Severity Level:
Medium
Severity Assessment:
Information for how Juniper Networks uses CVSS can be found at KB 16446 "Common Vulnerability Scoring System (CVSS) and Juniper's Security Advisories."
Acknowledgements:
Juniper SIRT would like to acknowledge and thank Guillaume TEISSIER / Orange for responsibly reporting this vulnerability.
 

Related Links

Comment on this article > Affected Products Browse the Knowledge Base for more articles related to these product categories. Select a category to begin.

Getting Up and Running with Junos

Getting Up and Running with Junos Security Alerts and Vulnerabilities Product Alerts and Software Release Notices Problem Report (PR) Search Tool EOL Notices and Bulletins JTAC User Guide Customer Care User Guide Pathfinder SRX High Availability Configurator SRX VPN Configurator Training Courses and Videos End User Licence Agreement Global Search